### Virtual Method

# Atk Table get_selected_columns

#### Declaration [src]

    gint
    get_selected_columns (
      AtkTable* table,
      gint** selected
    )

#### Description [src]

Gets the selected columns of the table by initializing **selected with the selected column numbers. This array should be freed by the caller.

#### Parameters

`selected`

  Type: `gint**`

  A #gint** that is to contain the selected columns numbers.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

A gint representing the number of selected columns, or `0` if value does not implement this interface.